# CommandConfigProvider (ACF (JDA) 0.5.1-SNAPSHOT API)
declaration: package: co.aikar.commands, interface: CommandConfigProvider

Package co.aikar.commands

# Interface CommandConfigProvider

All Known Subinterfaces:
  `CommandConfig`

All Known Implementing Classes:
  `JDACommandConfig`

public interface CommandConfigProvider

## Method Summary

Modifier and Type
Method
Description
`CommandConfig`
`provide(net.dv8tion.jda.api.events.message.MessageReceivedEvent event)`

## Method Details

### provide

CommandConfig provide (net.dv8tion.jda.api.events.message.MessageReceivedEvent event)